aboutsummaryrefslogtreecommitdiff
path: root/t
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2008-06-26 18:12:47 -0700
committerJunio C Hamano <gitster@pobox.com>2008-06-26 18:12:47 -0700
commitc0f5c69c680395a45294184dcf0923cea530b9af (patch)
tree6d309c32b2b9d97ccdd7899de9a309d31db085d5 /t
parentd2bf48d2ad653ee8a052aa460ca5c6ef29dce41d (diff)
parent7ac749c96d143ba4f76723959892cbaddbe8ed07 (diff)
downloadgit-c0f5c69c680395a45294184dcf0923cea530b9af.tar.gz
git-c0f5c69c680395a45294184dcf0923cea530b9af.tar.xz
Merge branch 'maint'
* maint: GIT 1.5.5.5 GIT 1.5.4.6 git-shell: accept "git foo" form diff --check: do not discard error status upon seeing a good line
Diffstat (limited to 't')
-rwxr-xr-xt/t4017-diff-retval.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/t/t4017-diff-retval.sh b/t/t4017-diff-retval.sh
index dc0b7126c..0d0fb87f5 100755
--- a/t/t4017-diff-retval.sh
+++ b/t/t4017-diff-retval.sh
@@ -105,4 +105,12 @@ test_expect_success '--check with --no-pager returns 2 for dirty difference' '
'
+
+test_expect_success 'check should test not just the last line' '
+ echo "" >>a &&
+ git --no-pager diff --check
+ test $? = 2
+
+'
+
test_done